Passkey
Initiate Challenge
Initiate a challenge for an action. Call this before Generate Authentication Options to customize the action code for passkey sign-in.
POST
/
challenge
Initiate Challenge
curl --request POST \
--url https://api.authsignal.com/v1/client/challenge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>"
}
'import requests
url = "https://api.authsignal.com/v1/client/challenge"
payload = { "action": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>'})
};
fetch('https://api.authsignal.com/v1/client/challenge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"challengeId": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}Authorizations
Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.
Body
application/json
The action code which will be associated with the passkey sign-in.
Response
OK
The ID of the challenge. This value can be passed to Generate Authentication Options.
Was this page helpful?
⌘I
Initiate Challenge

